<?php
/**********************************************************************
***********************************************************************/

//----------------------------------------------------------------------------------------

function add_employee_attachment($employee_code, $document_type_id, 
                                $comments, $filename, $unique_name, 
                                $filesize, $filetype)
{

	$created_by = $_SESSION['wa_current_user']->user;
	$created_on = date('Y-m-d H:i:s');	
        
        $sql = "INSERT INTO ".TB_PREF."employee_attachments (
                    employee_code, 
                    document_type_id, 
                    comments, 
                    filename, 
                    unique_name,
                    filesize, 
                    filetype,
                    created_by,
                    created_on) 
                VALUES ("
                    .db_escape($employee_code).","
                    .db_escape($document_type_id).","
                    .db_escape($comments).", "
                    .db_escape($filename).", "
                    .db_escape($unique_name).", "
                    .db_escape($filesize).", "
                    .db_escape($filetype).", "
                    .db_escape($created_by).", "
                    .db_escape($created_on).") ";
        
	db_query($sql, "Attachment could not be inserted");		
}
//----------------------------------------------------------------------------------------

function update_employee_attachment($selected_id,  $document_type_id, 
                                $comments, $filename, $unique_name, 
                                $filesize, $filetype)
{
        $updated_by = $_SESSION['wa_current_user']->user;
	$updated_on = date('Y-m-d H:i:s');
        
	$sql = "UPDATE ".TB_PREF."employee_attachments 
                SET
                    document_type_id=".db_escape($document_type_id).",
                    comments=".db_escape($comments).", ";
	if ($filename != "")
	{
		$sql .= "filename=".db_escape($filename).",
		unique_name=".db_escape($unique_name).",
		filesize=".db_escape($filesize).",
		filetype=".db_escape($filetype).",";
	}	
	$sql .= "updated_by=".db_escape($updated_by).",
                updated_on=".db_escape($updated_on)." 
            WHERE 
                id=".db_escape($selected_id)
                ;
	db_query($sql, "Attachment could not be updated");		
}

//----------------------------------------------------------------------------------------

function delete_employee_attachment($id)
{
	$sql = "DELETE FROM ".TB_PREF."attachments WHERE id = ".db_escape($id);
	db_query($sql, "Could not delete attachment");
}

//----------------------------------------------------------------------------------------

function get_employee_attachment_string($type, $id)
{
	global $path_to_root;
    $str_return = "";    
    $sql = "SELECT * FROM ".TB_PREF."attachments WHERE type_no=".db_escape($type)." AND trans_no=".db_escape($id)." ORDER BY trans_no";
    $return = db_query($sql, "Could not retrieve attachments");
    while ($attachment = db_fetch($return))
    {
        if (strlen($str_return))
            $str_return = $str_return . " \n";    
        $str_return .= _("Attached File:")." <a href='$path_to_root/admin/attachments.php?vw=".$attachment["id"]." ' target='blanc_'> ". 
        	$attachment["id"] . " " . $attachment["description"]. " - ". $attachment["filename"]."</a><br/>";
    }
    return $str_return . "<br/>";
}

//----------------------------------------------------------------------------------------

function get_employee_attachments($employee_code)
{
	$sql = "SELECT "
                    . "ea.id id,"
                    . "ea.filename,"
                    . "ea.filesize,"
                    . "ea.filetype,"
                    . "ea.comments,"
                    . "lv.value_name document_type_name "
                . "FROM "
                    .TB_PREF."employee_attachments ea,"
                    .TB_PREF."list_values lv "
                . "WHERE "
                    . "ea.document_type_id = lv.id AND "
                    . "ea.employee_code=".db_escape($employee_code)
                ." ORDER BY "
                    . "lv.value_name ";
        
	return db_query($sql, "Could not retrieve attachments");
}

function get_employee_attachment($id)
{
	$sql = "SELECT "
                    . "ea.* "
                . "FROM "
                    .TB_PREF."employee_attachments ea  "
                . "WHERE "
                    . "ea.id=".db_escape($id);
	$result = db_query($sql, "Could not retrieve attachments");
	return db_fetch($result);
}

function has_employee_attachment($type, $id)
{
	$sql = "SELECT DISTINCT * FROM ".TB_PREF."attachments WHERE type_no=".db_escape($type)." AND trans_no=".db_escape($id);
	$result = db_query($sql, "Could not retrieve attachments");
	$myrow = db_fetch($result);
	if ($myrow === false)
		return 0;
	else
		return $myrow['id'];
}

function get_sql_for_employee_attachments($employee_code)
{
        $sql = "SELECT "
                    . "ea.id id,"
                    . "lv.value_name document_type_name, "
                    . "ea.filename,"
                    . "ea.filesize,"
                    . "ea.filetype,"
                    . "ea.comments "
                . "FROM "
                    .TB_PREF."employee_attachments ea,"
                    .TB_PREF."list_values lv "
                . "WHERE "
                    . "ea.document_type_id = lv.id AND "
                    . "ea.employee_code=".db_escape($employee_code)
                ." ORDER BY "
                    . "lv.value_name ";	
    
    
    return $sql;

}


?>